打开博客部分app崩溃的解决办法

打开博客部分app崩溃的解决办法

7月12日,因为Apple删除了TNT的证书,因此部分应用程序出现了打开崩溃的情况。 目前的解决方案是自己更改签名。

下面小子就列出两种更改签名的方法(小子推荐第二种方法):

CodeSigner 主界面

第一种方法:

在终端中运行以下命令:(name.app就是需要更改签名的程序)

sudo codesign --force --deep --sign - /Applications/name.app

如果提示需要安装Xcode则安装Xcode,或者在终端中输入以下命令进行安装Apple Command Line Tools(install前面有两个短“-”):

xcode-select --install

第二种方法:

可以使用CodeSigner软件来签署一些应用程序。

1.打开dmg镜像,将“CodeSigner.app”拖入应用程序中;

2.打开应用程序中的“CodeSigner.app”,弹出选择框,选择崩溃的app,点击“Deep”自动完成签名签署;(或者打开“快速操作”文件夹,双击“CodeSigner.workflow”安装,右键崩溃的app点击“快速操作”中的CodeSigner来操作也可以)

3.Have done!

PS:目前先用此方法解决部分软件崩溃的情况,如果还有某些程序用此方法还是无法正常打开,只能等待新的破解版本出来再使用了。

CodeSigner城通网盘下载

本文隐藏内容 登陆 后才可以浏览

本文链接:打开博客部分app崩溃的解决办法

转载声明:本站文章无特别说明皆为原创,转载请注明:史蒂芬周的博客
本站所有软件仅供学习使用,请在24小时内删除,本人不承担任何相关责任!


103 评论
Newest
Oldest
Inline Feedbacks
View all comments
paipu1984

papers3.4.23在0s11.5.2中崩溃,闪退,有没有什么好的解决方案?

safaride

CleanMyMac x 4.8.5有没有。。。。我这个macOS 12。。。直接崩。。这个也用不了

yisupic

同奔溃中

KimHoo

piaoma

M1版本的有吗?

sun0art

sudo xattr -d com.apple.quarantine /Applications/xxxx.app
试了一下,这个代码可行

sun0art

/Applications/xxxx.app 这一段直接从应用程序里面拖进来就行

lynn_siyu

管用!赞 !

xiaoQ

codeSigner 在MacOS 11.2 版本 报错

Dannyway

macOS 版本 10.15.7
显示:应用程序“Decoherence.app”无法打开。
试了几个写出来的常用方法,没有效果,请问怎么处理?

yddirene

第二种方式报错
Error: unsupported operating system!
CodeSigner needs at least OS X 10.8 (Mountain Lion) for Platypus and Notification Center support. However, you can always use the shell script version ‘codesigner’.

piaoma

我的也是这个问题 我的是bigsur系统

HanXu

你好,不是安装好的app无法打开,是安装包无法安装,显示已损坏无法打开,请推出磁盘映像。

马科斯

codesigner需要更新了,求更新啊!!!

ajin

我的也是,需要更新。

piaoma

求更新

sxp

macOS Big Sur 11.01
方法一运行之后还是提示已损坏,无法打开;
方法二运行报错
Error: unsupported operating system!
CodeSigner needs at least OS X 10.8 (Mountain Lion) for Platypus and Notification Center support. However, you can always use the shell script version ‘codesigner’.

ChuckDeng

是的,同样的问题,big sur系统无法使用

yalingyang

怎么一回事呢?

yalingyang

第二种方法,双击code signer 提示:error you must first install Xcode or the command line tools

Michele

大神,你给的方法,都试了,Motion 和 Compressor 还是不能用?
怎么办??????

Mr._Yao

Endnote 9.3.2安装时提示“EndNote X9已损坏,无法打开。您应该推出磁盘映像”。已经开启任何来源了,用方法2进行重签还是无法去安装。

ddmr19

cleanmymac 安装后打不开,弹出“意外退出”错误,怎么解决?

landonzeng

博主,BetterZip 4.2.5破解版下载用了一段时间后,提示试用到期,并未破解,是否更新一下破解版的,现在每次解压都提示要秘钥,有点恶心

Jack_li

ERROR: you must first install Xcode or the Command Line Tools!
显示这个

jiajing941115

已经安装,运营代码还是显示已损坏,无法打开

bauer

adobe audition cc2019还是打不开~~

ruilav

无法打开“CodeSigner”,因为Apple无法检查其是否包含恶意软件。

yinjiaxiu

我也是,你装好了吗?怎么解决的这个问题?

Mine

小子,想请问下,点完DEEP后出现这个怎么办

​CodeSigner v0.93 beta 4
Notifications: /Applications/CodeSigner.app/Contents/Resources/terminal-notifier.app
Developer path: /Applications/Xcode.app/Contents/Developer
——–
Accessing: /Applications/Adobe Photoshop CC 2019/Adobe Photoshop CC 2019.app
Current authority: Developer ID Application: Adobe Systems, Inc. (JQ525L2MZD)
Target: main bundle & nested code (deep)
Bundle ID argument: skipped
Owner: root
Code-signing with: Ad-hoc signature
Skipping Bundle ID argument (ad-hoc)
Quarantine XA: none
ERROR: codesign
Current authority: Developer ID Application: Adobe Systems, Inc. (JQ525L2MZD)
——–
Done.

Mine

已安装XCODE

Mine

那请问PS和AI现在有可以解决的方案吗

Mine

好的,谢谢。已发送名为【Mine 2019-09-09 11.11.17】的邮件至【”zhouwenxing0709″;】您请查收